SoIndexedMarkerSet(3)

NAME
SoIndexedMarkerSet - The SoIndexedMarkerSet class is used to display a set of bitmap markers at 3D positions.

SYNOPSIS

#include <Inventor/nodes/SoIndexedMarkerSet.h>

Inherits SoIndexedPointSet.

  Public Member Functions
virtual SoType getTypeId (void) const
SoIndexedMarkerSet (void)
virtual void GLRender (SoGLRenderAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)

  Public Attributes
SoMFInt32 markerIndex

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoIndexedMarkerSet ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoIndexedMarkerSet class is used to display a set of bitmap markers at 3D positions. This node either uses the coordinates currently on the state (typically set up by a leading SoCoordinate3 node in the scene graph) or from a SoVertexProperty node attached to this node to render a set of 3D points.

To add new markers, use the static functions in SoMarkerSet.

Here's a simple usage example of SoIndexedMarkerSet in a scene graph:

#Inventor V2.1 ascii
Separator {
   Material {
      diffuseColor [
       1 0 0, 0 1 0, 0 0 1, 1 1 0, 1 0 1, 1 1 1, 1 0.8 0.6, 0.6 0.8 1
      ]
   }
   MaterialBinding { value PER_VERTEX_INDEXED }
   Coordinate3 {
      point [
       -1 1 0, -1 -1 0, 1 -1 0, 1 1 0, 0 2 -1, -2 0 -1, 0 -2 -1, 2 0 -1
      ]
   }
   IndexedMarkerSet {
      coordIndex [0, 1, 2, 3, 4, 5, 6, 7]
      markerIndex [0, 1, 0, 1, 0, 1, 0, 1]
   }
}.fi

FILE FORMAT/DEFAULTS:

IndexedMarkerSet {
  vertexProperty        NULL
  coordIndex        0
  materialIndex        -1
  normalIndex        -1
  textureCoordIndex        -1
  markerIndex   -1
}

Since
    TGS Inventor 6.0, Coin 3.1

Constructor & Destructor Documentation

  SoIndexedMarkerSet::SoIndexedMarkerSet (void)
Constructor.

  SoIndexedMarkerSet::~SoIndexedMarkerSet () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoIndexedMarkerSet::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoIndexedMarkerSet::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoIndexedPointSet.

  const SoFieldData ** SoIndexedMarkerSet::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoIndexedMarkerSet::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoIndexedPointSet.

  void SoIndexedMarkerSet::initClass (void) [static]

  void SoIndexedMarkerSet::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoIndexedPointSet.

Author

Generated automatically by Doxygen for Coin from the source code.